package com.inet.htmlviewer.printpdf;

import com.inet.plugin.PluginInfo;
import com.inet.plugin.ServerPlugin;
import com.inet.plugin.ServerPluginManager;
import com.inet.report.renderer.html.viewer.HTMLViewerScriptResource;

/**
 * Server plugin which registers a custom HTML viewer script source
 */
@PluginInfo( //
id = "htmlviewer.printpdf", //
dependencies = "reporting", //
group = "samples", //
version = ServerPlugin.CORE_VERSION, //
icon = "com/inet/htmlviewer/printpdf/htmlviewer_pdf_48.png" //
)
public class HTMLViewerPrintViaPDFPlugin implements ServerPlugin {

    /**
     * {@inheritDoc}
     */
    @Override
    public void registerExtension( ServerPluginManager spm ) {

        // registers the resource
        spm.register( HTMLViewerScriptResource.class, HTMLViewerScriptResource.fileDescription( getClass().getResource( "extension.js" ) ) );
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init( ServerPluginManager spm ) {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void reset() {
        // nothing

    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void restart() {
        // nothing
    }
}
